#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System.Collections.Generic;
using System;

public class InterpreterBuilder {
  private static Dictionary<string, string> code;
  private static bool maximization;
  private static string fitnessFunction;
  private static string additionalCode;

  public static void Initialize() {
    code = new Dictionary<string, string>();
  }

  public static void AddSymbolSemantics(string symbol, MethodBuilder mBuilder) {
    code.Add(symbol, mBuilder.GetCode());
  }
  public static void SetMaximization(bool val) {
    maximization = val;
  }

  public static void SetFitnessFunction(string srcCode) {
    fitnessFunction = srcCode;
  }
  public static void SetAdditionalCode(string srcCode) {
    additionalCode = srcCode;
  }

  public static void Write() {
    foreach (var entry in code) {
      Console.WriteLine(entry.Value);
    }
  }
}
